Package net.shibboleth.idp.attribute.resolver.dc

# Interface ExecutableSearchBuilder<T extends ExecutableSearch>

Type Parameters:
  `T` - The type to build.

All Known Implementing Classes:
  `AbstractExecutableSearchFilterBuilder`, `AbstractExecutableStatementBuilder`, `AbstractHTTPSearchBuilder`, `ExecutableQueryBuilder`, `FormatExecutableStatementBuilder`, `ParameterizedExecutableSearchFilterBuilder`, `ScriptedSearchBuilder`, `TemplatedBodyBuilder`, `TemplatedExecutableSearchFilterBuilder`, `TemplatedExecutableStatementBuilder`, `TemplatedSearchBuilder`, `TemplatedURLBuilder`

public interface ExecutableSearchBuilder<T extends ExecutableSearch>
Builder used to created `ExecutableSearch` instances.

## Method Summary

Modifier and Type
Method
Description
`T`
`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.

## Method Details

### build

@Nonnull T build(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes) throws ResolutionException
Creates an executable search that can be executed against a data source in order to produce results.

Parameters:
  `resolutionContext` - current request context
  `dependencyAttributes` - made available to the executable search
Returns:
  executable search
Throws:
  `ResolutionException` - throw if their is a problem creating the executable search